Bug 979234 - Priority that is bumped by the scheduler is preserved when cloning a job.
Priority that is bumped by the scheduler is preserved when cloning a job.
Status: NEW
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-27 22:45 EDT by Raymond Mancy
Modified: 2018-02-05 19:41 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raymond Mancy 2013-06-27 22:45:08 EDT
Description of problem:

Priority that is bumped by the scheduler is preserved when cloning a job. This job will then be (most likely) subject to the same priority bump again. 


Version-Release number of selected component (if applicable):


How reproducible:

Most of the time

Steps to Reproduce:
1. Submit a recipe with a single system available to it
2. clone that recipe
3. 

Actual results:

The cloned recipe will be two priorities higher than the original recipe submitted

Expected results:

Something else.

Additional info:
Comment 3 Jun'ichi NOMURA 2015-12-15 21:56:48 EST
Note: though the bug might still be there, it is currently non-issue for me as I'm disabling priority bump (by setting beaker.priority_bumping_enabled = False).
Comment 4 Aniss 2016-08-29 17:32:19 EDT
(In reply to Jun'ichi NOMURA from comment #3)
> Note: though the bug might still be there, it is currently non-issue for me
> as I'm disabling priority bump (by setting beaker.priority_bumping_enabled =
> False).

can you provide the exact steps to apply this workaround? I would like to use it till beaker devs patch it
Comment 5 Jun'ichi NOMURA 2016-08-29 18:55:19 EDT
You have to be admin of beaker server to use this workaround.

1. Add this line to [global] section of /etc/beaker/server.cfg on beaker server:
   beaker.priority_bumping_enabled = False
2. Restart beakerd and httpd

Note You need to log in before you can comment on or make changes to this bug.